import { useData } from './useData';

const width = 960;
const height = 500;
const margin = {
  top: 50,
  right: 30,
  bottom: 65,
  left: 90,
};

const measureValue = 5.8;

export const SummaryPlot = () => {
  let data = useData();
  if (!data) {
    return <pre>Loading...</pre>;
  }

  return (
    <svg width={width} height={height}>
      <g
        transform={`translate(${margin.left},${margin.top})`}
      >
        {/* NumberBox representation */}
        <rect
          class="boxShadow"
          width={315}
          height={75}
          rx="20"
          ry="20"
          x={10}
          y={225}
          style={{
            fill: '#449231',
          }}
        />
       {/* Number Text*/}
        <text
        x={20}
        y={255}
        dx = {15}
        dy = {15}
        font-size="32"
        font-weight="600"
        fill='#FFFFFF'
      >
          {measureValue}
      </text>
       {/* InnerBox for Flat Curve*/}
        <rect
          class="innerPlotBox"
          width={20}
          height={70}
          x={90}
          y={227}
          style={{
            fill: "#FFFFFF",
          }}
        />
       {/* InnerBox for plot area*/}
        <rect
          class="innerPlotBox"
          width={232}
          height={70}
          x={90}
          y={227}
          rx = "20"
          ry = "20"
          style={{
            fill: "#FFFFFF",
          }}
        />
      </g>
    </svg>
  );
};
